ZOutputStream
Date: 2015-09-12

com.jcraft.jzlib

## Class ZOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - com.jcraft.jzlib.ZOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

  Deprecated.
  use DeflaterOutputStream or InflaterInputStream

      @Deprecated
      public class ZOutputStream
      extends java.io.FilterOutputStream

  ZOutputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf` Deprecated.
    `protected int` | `bufsize` Deprecated.
    `protected boolean` | `compress` Deprecated.
    `protected int` | `flush` Deprecated.
    `protected java.io.OutputStream` | `out` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZOutputStream(java.io.OutputStream out)` Deprecated.
    `ZOutputStream(java.io.OutputStream out, int level)` Deprecated.
    `ZOutputStream(java.io.OutputStream out, int level, boolean nowrap)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `void` | `end()` Deprecated.
    `void` | `finish()` Deprecated.
    `void` | `flush()` Deprecated.
    `int` | `getFlushMode()` Deprecated.
    `long` | `getTotalIn()` Deprecated.
    `long` | `getTotalOut()` Deprecated.
    `void` | `setFlushMode(int flush)` Deprecated.
    `void` | `write(byte[] b, int off, int len)` Deprecated.
    `void` | `write(int b)` Deprecated.

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bufsize

          protected int bufsize

      Deprecated.

    - #### flush

          protected int flush

      Deprecated.

    - #### buf

          protected byte[] buf

      Deprecated.

    - #### compress

          protected boolean compress

      Deprecated.

    - #### out

          protected java.io.OutputStream out

      Deprecated.

  - ### Constructor Detail

    - #### ZOutputStream

          public ZOutputStream(java.io.OutputStream out)
                        throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### ZOutputStream

          public ZOutputStream(java.io.OutputStream out,
                       int level)
                        throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### ZOutputStream

          public ZOutputStream(java.io.OutputStream out,
                       int level,
                       boolean nowrap)
                        throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Deprecated.
      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws java.io.IOException

      Deprecated.
      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### getFlushMode

          public int getFlushMode()

      Deprecated.

    - #### setFlushMode

          public void setFlushMode(int flush)

      Deprecated.

    - #### finish

          public void finish()
                      throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### end

          public void end()

      Deprecated.

    - #### close

          public void close()
                     throws java.io.IOException

      Deprecated.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`

    - #### getTotalIn

          public long getTotalIn()

      Deprecated.

    - #### getTotalOut

          public long getTotalOut()

      Deprecated.

    - #### flush

          public void flush()
                     throws java.io.IOException

      Deprecated.
      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`